VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsTemp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private temperature As Single

Public Sub setFahr(tx As String)
  temperature = 5 * (Val(tx) - 32) / 9
End Sub

Public Sub setCels(tx As String)
  temperature = Val(tx)
End Sub

Public Function getFahr() As Single
  getFahr = 9 * (temperature / 5) + 32
End Function

Public Function getCels() As Single
  getCels = temperature
End Function
